"use strict";

require("core-js/modules/es.object.assign.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

const _excluded = ["label", "backgroundColor", "size", "handleClick"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function Button(_ref) {
  let {
    label,
    backgroundColor = "blue",
    size = "md",
    handleClick
  } = _ref,
      args = _objectWithoutProperties(_ref, _excluded);

  let scale = 1;
  if (size == "sm") scale = 0.5;
  if (size == "lg") scale = 1.5;
  const style = {
    border: "none",
    backgroundColor,
    padding: "".concat(scale * 0.5, "rem ").concat(scale * 1, "rem")
  };
  return /*#__PURE__*/React.createElement("button", _extends({
    onClick: handleClick,
    style: style
  }, args), label);
}

Button.prototypes = {
  label: _propTypes.default.string,
  backgroundColor: _propTypes.default.string,
  size: _propTypes.default.oneOf(["sm", "md", "lg"]),
  handleClick: _propTypes.default.func
};
var _default = Button;
exports.default = _default;