import PropTypes from 'prop-types'

function Button({label  , backgroundColor = "blue" , size = "md" , handleClick , ...args}){
let scale = 1;
if(size == "sm") scale = 0.5
if(size == "lg") scale = 1.5;

const style = {
    border:"none",
    backgroundColor,
    padding:`${scale * 0.5}rem ${scale * 1}rem`,
}
return (
    <button onClick={handleClick} style={style} {...args}>
{label}
    </button>
)
}
Button.prototypes = {
    label:PropTypes.string,
    backgroundColor:PropTypes.string,
    size:PropTypes.oneOf(["sm", "md", "lg"]),
    handleClick:PropTypes.func
}

export default Button

